#pragma once

#include "index_manager.h"
#include <saas/rtyserver/indexer_core/normalizer.h>

class TSentenceLengthsNormalizer: public NRTYServer::INormalizer {
public:
    TSentenceLengthsNormalizer(const TRTYServerConfig& config, bool requiredSentLens);
    virtual const char* Name() const;
    virtual bool AllRight(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& indexFrq) const;
    virtual void Fix(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& indexFrq) const;

private:
    bool RequiredSentLens;
};
